# dotfiles v2

This is the continuation of [my old dotfiles](/FollieHiyuki/dotfiles) without all the Xorg stuff I don't use.

## 🧰 Setup

```bash
# Install `community.general` for 'apk' and 'doas' module if you only installed ansible-core
ansible-galaxy collection install -r requirements/collections.yml
# Run the playbook
ansible-playbook -i hosts dotfiles.yml
```

`playbooks` directory contains playbooks for tasks unrelated to dotfiles deployment, but useful (for me).

## ✔️ Testing

```bash
# Build the container image
buildah build -t dotfiles -f Dockerfile .
# Exec into the container
podman run --rm -it localhost/dotfiles /bin/ash

# Run the playbook for all tasks inside the container
ansible-playbook -v -i hosts dotfiles.yml --tags 'never,all'
```

## 🖊️ TODO

- [ ] ~~[wayout](https://git.sr.ht/~proycon/wayout)~~
- [ ] GTK/Icons/Cursor theme, Sarasa font bootstraping
- [ ] Neovim:
  - [ ] vim.api.nvim{_buf}_set_keymap -> vim.keymap.set
  - [ ] OneDark theme
  - [ ] Catpuccin theme
  - [ ] nvim_set_hl
- [ ] Use [bubblewrap](https://github.com/containers/bubblewrap) / rootless [podman](https://podman.io/) for some applications
- [ ] Separated Waybar config files for Sway and River
- [ ] [catppuccin](https://github.com/catppuccin/catppuccin) theme
- [ ] [eww](https://github.com/elkowar/eww)
- [ ] [swhkd](https://github.com/waycrate/swhkd) (maybe?)
- [ ] [senpai](https://git.sr.ht/~taiite/senpai)

## 📓 Notes

The main playbook probably works on whatever Linux distribution you are running (*haven't tested*).

The additional playbooks gear toward my Linux distribution of choice - Alpine Linux. Tasks included in them might not work on other distributions (e.g. `apk` tasks)

## 🌟 Credits

- [eoli3n/dotfiles](https://github.com/eoli3n/dotfiles)
- [samhh/dotfiles](https://github.com/samhh/dotfiles)
- [zsugabubus/dotfiles](https://github.com/zsugabubus/dotfiles)
- [sircmpwn/dotfiles](https://git.sr.ht/~sircmpwn/dotfiles)

## 📄 License

MIT
